Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Download Firefox to an old Mac

  • 1 பதிலளி
  • 0 இந்த பிரச்னைகள் உள்ளது
  • 19 views
  • Last reply by James

Firefox says my Mac needs os 10.12 or later. My machine is only 10.11 something. What can I do? (My machine can't take newer versions of Safari)

Firefox says my Mac needs os 10.12 or later. My machine is only 10.11 something. What can I do? (My machine can't take newer versions of Safari)

All Replies (1)

The latest version of Firefox that still supported the old EOL Mac OS X 10.9, 10.10, 10.11 was 78.15.0esr as 79.0 and later has required 10.12 at minimum to run.

https://support.mozilla.org/en-US/kb/firefox-mac-osx-users-esr

You can download the Firefox 78.15.0esr.dmg from https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/en-US/ other locales are at https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/

Helpful?

கேள்வி எழுப்பு

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.